@scalar/api-reference 1.49.2 → 1.49.3
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/CHANGELOG.md +6 -0
- package/dist/browser/standalone.js +4 -4
- package/dist/browser/webpack-stats.json +1 -1
- package/dist/components/Content/Schema/Schema.vue.d.ts +1 -1
- package/dist/components/Content/Schema/SchemaComposition.vue.d.ts +1 -1
- package/dist/components/Content/Schema/SchemaObjectProperties.vue.d.ts +1 -1
- package/dist/components/Content/Schema/SchemaProperty.vue.d.ts +1 -1
- package/dist/features/Operation/components/OperationParameters.vue.d.ts +1 -1
- package/dist/features/Operation/components/OperationResponses.vue.d.ts +1 -1
- package/dist/features/Operation/components/ParameterList.vue.d.ts +1 -1
- package/dist/features/Operation/components/ParameterListItem.vue.d.ts +1 -1
- package/dist/features/Operation/components/callbacks/Callback.vue.d.ts +1 -1
- package/dist/features/Operation/components/callbacks/Callbacks.vue.d.ts +1 -1
- package/dist/features/Operation/layouts/ClassicLayout.vue.d.ts +1 -1
- package/dist/features/Operation/layouts/ModernLayout.vue.d.ts +1 -1
- package/dist/features/Search/components/SearchResult.vue.d.ts +1 -1
- package/dist/features/Search/helpers/create-fuse-instance.d.ts +1 -1
- package/dist/features/Search/helpers/create-search-index.d.ts +1 -1
- package/dist/features/Search/types.d.ts +1 -1
- package/dist/index.d.ts +5 -5
- package/dist/plugins/hooks/usePluginManager.d.ts +1 -1
- package/dist/plugins/index.d.ts +2 -2
- package/dist/ssr.d.ts +2 -2
- package/package.json +10 -10
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { DiscriminatorObject, SchemaObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { SchemaOptions } from '
|
|
3
|
+
import type { SchemaOptions } from '../../../components/Content/Schema/types';
|
|
4
4
|
type __VLS_Props = {
|
|
5
5
|
schema?: SchemaObject;
|
|
6
6
|
/** Track how deep we've gone */
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { DiscriminatorObject, SchemaObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { SchemaOptions } from '
|
|
3
|
+
import type { SchemaOptions } from '../../../components/Content/Schema/types';
|
|
4
4
|
import { type CompositionKeyword } from './helpers/schema-composition';
|
|
5
5
|
type __VLS_Props = {
|
|
6
6
|
/** The composition keyword (oneOf, anyOf, allOf) */
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { DiscriminatorObject, SchemaObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { SchemaOptions } from '
|
|
3
|
+
import type { SchemaOptions } from '../../../components/Content/Schema/types';
|
|
4
4
|
type __VLS_Props = {
|
|
5
5
|
schema: SchemaObject;
|
|
6
6
|
discriminator?: DiscriminatorObject;
|
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { DiscriminatorObject, SchemaObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
3
|
import { type Component } from 'vue';
|
|
4
|
-
import type { SchemaOptions } from '
|
|
4
|
+
import type { SchemaOptions } from '../../../components/Content/Schema/types';
|
|
5
5
|
/**
|
|
6
6
|
* Note: We're taking in a prop called `value` which should be a JSON Schema.
|
|
7
7
|
*
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { ParameterObject, ReferenceType, RequestBodyObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { OperationProps } from '
|
|
3
|
+
import type { OperationProps } from '../../../features/Operation/Operation.vue';
|
|
4
4
|
type __VLS_Props = {
|
|
5
5
|
breadcrumb?: string[];
|
|
6
6
|
parameters?: ReferenceType<ParameterObject>[];
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { OperationObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { OperationProps } from '
|
|
3
|
+
import type { OperationProps } from '../../../features/Operation/Operation.vue';
|
|
4
4
|
type __VLS_Props = {
|
|
5
5
|
responses: OperationObject['responses'];
|
|
6
6
|
breadcrumb?: string[];
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { ParameterObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { OperationProps } from '
|
|
3
|
+
import type { OperationProps } from '../../../features/Operation/Operation.vue';
|
|
4
4
|
type __VLS_Props = {
|
|
5
5
|
parameters: ParameterObject[];
|
|
6
6
|
breadcrumb?: string[];
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { ParameterObject, ResponseObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { OperationProps } from '
|
|
3
|
+
import type { OperationProps } from '../../../features/Operation/Operation.vue';
|
|
4
4
|
type __VLS_Props = {
|
|
5
5
|
parameter: ParameterObject | ResponseObject;
|
|
6
6
|
name: string;
|
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
import type { HttpMethod as HttpMethodType } from '@scalar/helpers/http/http-methods';
|
|
2
2
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
3
3
|
import { type OperationObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
4
|
-
import type { OperationProps } from '
|
|
4
|
+
import type { OperationProps } from '../../../../features/Operation/Operation.vue';
|
|
5
5
|
type __VLS_Props = {
|
|
6
6
|
callback: OperationObject;
|
|
7
7
|
method: HttpMethodType;
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { CallbackObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { OperationProps } from '
|
|
3
|
+
import type { OperationProps } from '../../../../features/Operation/Operation.vue';
|
|
4
4
|
type __VLS_Props = {
|
|
5
5
|
path: string;
|
|
6
6
|
callbacks: CallbackObject;
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { SecuritySchemeObjectSecret } from '@scalar/api-client/v2/blocks/scalar-auth-selector-block';
|
|
2
2
|
import type { OperationObject, ServerObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { OperationProps } from '
|
|
3
|
+
import type { OperationProps } from '../../../features/Operation/Operation.vue';
|
|
4
4
|
type __VLS_Props = Omit<OperationProps, 'document' | 'pathValue' | 'server' | 'securitySchemes' | 'authStore'> & {
|
|
5
5
|
/** Operation object with path params */
|
|
6
6
|
operation: OperationObject;
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { SecuritySchemeObjectSecret } from '@scalar/api-client/v2/blocks/scalar-auth-selector-block';
|
|
2
2
|
import type { OperationObject, ServerObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { OperationProps } from '
|
|
3
|
+
import type { OperationProps } from '../../../features/Operation/Operation.vue';
|
|
4
4
|
type __VLS_Props = Omit<OperationProps, 'document' | 'pathValue' | 'server' | 'isCollapsed' | 'securitySchemes' | 'authStore'> & {
|
|
5
5
|
/** Operation object with path params */
|
|
6
6
|
operation: OperationObject;
|
|
@@ -1,5 +1,5 @@
|
|
|
1
1
|
import type { OpenApiDocument } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
2
|
-
import type { FuseData } from '
|
|
2
|
+
import type { FuseData } from '../../../features/Search/types';
|
|
3
3
|
/**
|
|
4
4
|
* Create a search index from a list of entries.
|
|
5
5
|
*/
|
|
@@ -1,5 +1,5 @@
|
|
|
1
1
|
import type { TraversedEntry } from '@scalar/workspace-store/schemas/navigation';
|
|
2
|
-
import type { ParameterMap } from '
|
|
2
|
+
import type { ParameterMap } from '../../helpers/openapi';
|
|
3
3
|
export type EntryType = 'operation' | 'webhook' | 'model' | 'heading' | 'tag';
|
|
4
4
|
export type FuseData = {
|
|
5
5
|
type: EntryType;
|
package/dist/index.d.ts
CHANGED
|
@@ -1,10 +1,10 @@
|
|
|
1
1
|
import type { AnyApiReferenceConfiguration } from '@scalar/types/api-reference';
|
|
2
2
|
export type { ApiReferenceConfiguration } from '@scalar/types/api-reference';
|
|
3
|
-
export { default as ApiReference } from '
|
|
4
|
-
export { default as GettingStarted } from '
|
|
5
|
-
export { SearchButton, SearchModal } from '
|
|
6
|
-
export { createEmptySpecification } from '
|
|
7
|
-
export { createApiReference } from '
|
|
3
|
+
export { default as ApiReference } from './components/ApiReference.vue';
|
|
4
|
+
export { default as GettingStarted } from './components/GettingStarted.vue';
|
|
5
|
+
export { SearchButton, SearchModal } from './features/Search';
|
|
6
|
+
export { createEmptySpecification } from './helpers/openapi';
|
|
7
|
+
export { createApiReference } from './standalone/lib/html-api';
|
|
8
8
|
export type ReferenceProps = {
|
|
9
9
|
configuration?: AnyApiReferenceConfiguration;
|
|
10
10
|
};
|
package/dist/plugins/index.d.ts
CHANGED
|
@@ -1,4 +1,4 @@
|
|
|
1
|
-
export { PLUGIN_MANAGER_SYMBOL, usePluginManager } from '
|
|
2
|
-
export { type ApiReferencePlugin, type PluginManager, createPluginManager, } from '
|
|
1
|
+
export { PLUGIN_MANAGER_SYMBOL, usePluginManager } from '../plugins/hooks/usePluginManager';
|
|
2
|
+
export { type ApiReferencePlugin, type PluginManager, createPluginManager, } from '../plugins/plugin-manager';
|
|
3
3
|
export { persistencePlugin } from './persistance-plugin';
|
|
4
4
|
//# sourceMappingURL=index.d.ts.map
|
package/dist/ssr.d.ts
CHANGED
|
@@ -17,6 +17,6 @@
|
|
|
17
17
|
* const html = await renderToString(app)
|
|
18
18
|
* ```
|
|
19
19
|
*/
|
|
20
|
-
export type { ApiReferenceConfiguration, ReferenceProps } from './index';
|
|
21
|
-
export { ApiReference, GettingStarted, SearchButton, SearchModal, createApiReference, createEmptySpecification, } from './index';
|
|
20
|
+
export type { ApiReferenceConfiguration, ReferenceProps } from './index.js';
|
|
21
|
+
export { ApiReference, GettingStarted, SearchButton, SearchModal, createApiReference, createEmptySpecification, } from './index.js';
|
|
22
22
|
//# sourceMappingURL=ssr.d.ts.map
|
package/package.json
CHANGED
|
@@ -20,7 +20,7 @@
|
|
|
20
20
|
"vue",
|
|
21
21
|
"vue3"
|
|
22
22
|
],
|
|
23
|
-
"version": "1.49.
|
|
23
|
+
"version": "1.49.3",
|
|
24
24
|
"engines": {
|
|
25
25
|
"node": ">=22"
|
|
26
26
|
},
|
|
@@ -91,20 +91,20 @@
|
|
|
91
91
|
"nanoid": "^5.1.6",
|
|
92
92
|
"vue": "^3.5.26",
|
|
93
93
|
"yaml": "^2.8.0",
|
|
94
|
-
"@scalar/
|
|
95
|
-
"@scalar/
|
|
96
|
-
"@scalar/code-highlight": "0.3.1",
|
|
97
|
-
"@scalar/components": "0.20.11",
|
|
94
|
+
"@scalar/agent-chat": "0.9.12",
|
|
95
|
+
"@scalar/api-client": "2.38.4",
|
|
98
96
|
"@scalar/helpers": "0.4.2",
|
|
97
|
+
"@scalar/code-highlight": "0.3.1",
|
|
98
|
+
"@scalar/components": "0.20.12",
|
|
99
99
|
"@scalar/oas-utils": "0.10.10",
|
|
100
100
|
"@scalar/openapi-types": "0.6.1",
|
|
101
|
-
"@scalar/
|
|
102
|
-
"@scalar/
|
|
101
|
+
"@scalar/icons": "0.6.3",
|
|
102
|
+
"@scalar/sidebar": "0.8.12",
|
|
103
|
+
"@scalar/snippetz": "0.7.6",
|
|
103
104
|
"@scalar/themes": "0.15.1",
|
|
104
105
|
"@scalar/types": "0.7.4",
|
|
105
|
-
"@scalar/snippetz": "0.7.6",
|
|
106
|
-
"@scalar/use-toasts": "0.10.1",
|
|
107
106
|
"@scalar/use-hooks": "0.4.1",
|
|
107
|
+
"@scalar/use-toasts": "0.10.1",
|
|
108
108
|
"@scalar/workspace-store": "0.40.4"
|
|
109
109
|
},
|
|
110
110
|
"devDependencies": {
|
|
@@ -128,7 +128,7 @@
|
|
|
128
128
|
"@scalar/react-renderer": "0.4.1"
|
|
129
129
|
},
|
|
130
130
|
"scripts": {
|
|
131
|
-
"build": "pnpm build:default && pnpm build:standalone && vue-tsc -p tsconfig.build.json",
|
|
131
|
+
"build": "pnpm build:default && pnpm build:standalone && vue-tsc -p tsconfig.build.json && tsc-alias -p tsconfig.build.json",
|
|
132
132
|
"build:default": "vite build",
|
|
133
133
|
"build:standalone": "vite build -c vite.standalone.config.ts",
|
|
134
134
|
"dev": "vite",
|